For the complete documentation index, see llms.txt. This page is also available as Markdown.

GetProductBySlug

This endpoint is there to get product by slug name

In the example below, slug is set for the name for the product slug

GET https://sandbox.pgecom.com/api/v1/product/slug/{{slug}}

Query Parameters

Name
Type
Description

shopId*

String

product shop id

[
    {
        "productType": "service",
        "published": false,
        "inventory": 20,
        "shopId": "9c4e8c79-b901-4b71-a305-0374664a0b65",
        "comparePrice": 0,
        "status": "active",
        "slug": "hair",
        "createdAt": "2023-11-04T02:04:51Z",
        "vendor": "pgecom",
        "name": "Hair",
        "isFeatured": false,
        "costPerItem": 0,
        "isContinueSellingOutStock": false,
        "userID": "5f56dfa3-a415-4818-8275-44fc63ece3fd",
        "updatedAt": "2023-11-04T02:04:51Z",
        "description": "Hair Product",
        "price": 50,
        "id": "b72b1e68-bb0d-48c2-ab85-ed0d24b7adfd",
        "mainImageUrl": "https://res.cloudinary.com/dnfoyqynm/image/upload/v1699063414/5f56dfa3-a415-4818-8275-44fc63ece3fd/pgecom/products/ebd7830c-f4aa-43fa-aeb4-ef2fedc4569e.jpg"
    }
]

Last updated